Subject: Re: increase lowmem value for ppc

From: Ruksen INANIR <[email-masked]>
Date: Thu, 17 Jul 2008 14:22:37 +0300

Is there any side effects of changing the address splitting? What should 
i change for 2G/2G splitting? should i shift the kernel start?
Thanks

Marco Stornelli wrote:
> Marco Stornelli ha scritto:
>> Ruksen INANIR ha scritto:
>>>
>>> Is there a way to increase the lowmem value for ppc. The MAX_LOW_MEM 
>>> is defined as max 768 MB. But a value around 1.5 G works with no 
>>> problem. But when i try to increase this value to 1520 or more, 
>>> kernel complaints about no space for memory allocation when loading 
>>> kernel modules.
>>> I do not want to use HIGHMEM config. What is the max lowmem value 
>>> for a ppc system? What other setting are needed to use 1520 MB (or 
>>> more) as lowmem .
>>> The ppc card has 2G on board memory. 2.4.22 kernel is used.
>>>
>>> Thanks
>>> _______________________________________________
>>> Linuxppc-embedded mailing list
>>> [email-masked]
>>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>>
>> With 32-bit arch you may not use more than 1GB to map the memory 
>> (minus some space for some kernel operation). The value of 768MB was 
>> not there by chance.
>>
> Only an additional comment: I meant with the address splitting 3G/1G. 
> To map more than 1GB, you have to change the splitting 2G/2G for example.
>